Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573929 - [abrt] thaw_super: BUG: unable to handle kernel NULL pointer dereference at 00000000000000d8 [NEEDINFO]
Summary: [abrt] thaw_super: BUG: unable to handle kernel NULL pointer dereference at 0...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0aa07364b8e3a13e7a3f667c311...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 14:29 UTC by kbartek037
Modified: 2018-10-10 10:12 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:04:14 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (74.97 KB, text/plain)
2018-05-02 14:29 UTC, kbartek037
no flags Details

Description kbartek037 2018-05-02 14:29:01 UTC
Additional info:
reporter:       libreport-2.9.5
BUG: unable to handle kernel NULL pointer dereference at 00000000000000d8
IP: evdev_open+0x3d/0x1e0
PGD 0 P4D 0 
Oops: 0000 [#1] SMP NOPTI
Modules linked in: joydev snd_timer snd soundcore sp5100_tco i2c_piix4 shpchp video wmi acpi_cpufreq amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm drm r8169 crc32c_intel mii
CPU: 6 PID: 682 Comm: systemd-udevd Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: Micro-Star International Co., Ltd. MS-7A36/A320M PRO-VD/S (MS-7A36), BIOS 2.B0 04/03/2018
RIP: 0010:evdev_open+0x3d/0x1e0
RSP: 0018:ffffb90741317c30 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff91c20f929c00 RCX: 00000000ffffffff
RDX: 0000000000000040 RSI: 00000000014082c0 RDI: ffff91c210185968
RBP: ffff91c210185968 R08: ffff91c20f929fd0 R09: 0000000000000000
R10: 0000000000000002 R11: 0000000000000006 R12: ffff91c20f55e600
R13: ffffffff84ed22e0 R14: ffff91c20f929f80 R15: ffff91c20f929fd0
FS:  00007f41a0c4e180(0000) GS:ffff91c217380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000d8 CR3: 00000001cf6b2000 CR4: 00000000003406e0
Call Trace:
 ? thaw_super.cold.19+0x42/0x42
 chrdev_open+0xa2/0x1c0
 ? cdev_put.part.0+0x20/0x20
 do_dentry_open+0x1ab/0x2d0
 path_openat+0x41b/0x1560
 ? seccomp_run_filters+0x58/0xb0
 do_filp_open+0x93/0x100
 ? __check_object_size+0x9c/0x171
 ? __alloc_fd+0x3d/0x140
 do_sys_open+0x186/0x210
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 56 41 55 41 54 49 89 f4 be c0 82 40 01 55 48 89 fd 53 48 83 ec 10 4c 8b b7 30 02 00 00 49 8b 86 a0 fc ff ff 49 8d 9e 80 fc ff ff <8b> 80 d8 00 00 00 c1 e0 03 83 f8 40 48 0f 42 c2 ba 01 00 00 00 
RIP: evdev_open+0x3d/0x1e0 RSP: ffffb90741317c30
CR2: 00000000000000d8

Comment 1 kbartek037 2018-05-02 14:29:06 UTC
Created attachment 1430088 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 14:55:12 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:04:14 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 4 Alex 2018-10-10 10:12:07 UTC
Description of problem:
This is a newbuild computer running a fresh, updated, install of Fedora 28. Kernel version 4.18.12-200.fc28  refuses to boot at all, and this version (4.16.3-301.fc28) will arbitrarily hang or not boot.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_GB.UTF-8
crash_function: thaw_super
kernel:         4.16.3-301.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel NULL pointer dereference at 00000000000000d8
IP: evdev_open+0x3d/0x1e0
PGD 0 P4D 0 
Oops: 0000 [#1] SMP NOPTI
Modules linked in: joydev snd_timer cfg80211(+) snd soundcore sp5100_tco i2c_piix4 ecdh_generic rfkill shpchp wmi video acpi_cpufreq amdkfd amd_iommu_v2 amdgpu hid_logitech_hidpp chash gpu_sched drm_kms_helper crc32c_intel ttm igb drm ptp pps_core dca i2c_algo_bit hid_logitech_dj
CPU: 2 PID: 628 Comm: systemd-udevd Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./B450 Gaming-ITX/ac, BIOS P1.20 08/14/2018
RIP: 0010:evdev_open+0x3d/0x1e0
RSP: 0018:ffffbd6dc123bc30 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff977f8e9dc400 RCX: 00000000ffffffff
RDX: 0000000000000040 RSI: 00000000014082c0 RDI: ffff977f964dc5f0
RBP: ffff977f964dc5f0 R08: ffff977f8e9dc7d0 R09: 0000000000000000
R10: 0000000000000002 R11: 0000000000000006 R12: ffff977f8eae1e00
R13: ffffffffb7ed2280 R14: ffff977f8e9dc780 R15: ffff977f8e9dc7d0
FS:  00007fcd030f7180(0000) GS:ffff977f9ec80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000d8 CR3: 00000002163f8000 CR4: 00000000003406e0
Call Trace:
 ? thaw_super.cold.19+0x42/0x42
 chrdev_open+0xa2/0x1c0
 ? cdev_put.part.0+0x20/0x20
 do_dentry_open+0x1ab/0x2d0
 path_openat+0x41b/0x1560
 ? seccomp_run_filters+0x58/0xb0
 do_filp_open+0x93/0x100
 ? __check_object_size+0x9c/0x171
 ? __alloc_fd+0x3d/0x140
 do_sys_open+0x186/0x210
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 56 41 55 41 54 49 89 f4 be c0 82 40 01 55 48 89 fd 53 48 83 ec 10 4c 8b b7 30 02 00 00 49 8b 86 a0 fc ff ff 49 8d 9e 80 fc ff ff <8b> 80 d8 00 00 00 c1 e0 03 83 f8 40 48 0f 42 c2 ba 01 00 00 00 
RIP: evdev_open+0x3d/0x1e0 RSP: ffffbd6dc123bc30
CR2: 00000000000000d8


Note You need to log in before you can comment on or make changes to this bug.